Page MenuHomePhabricator

UserMerge fails to work and returns database error.
Closed, ResolvedPublicBUG REPORT

Description

Steps to Reproduce:
Navigate to https://wikimedia.org.au/wiki/Special:UserMerge
Enter two usernames (I did Steven Zhang as old and Steven Crossin as new), click delete all user and then click merge user

Actual Results:
Merge fails, error returned says

A database query error has occurred. This may indicate a bug in the software.[f4498650747ce11f31bdc55e] 2019-06-13 07:34:54: Fatal exception of type "Wikimedia\Rdbms\DBQueryError"

Expected Results:
UserMerge expected to be successful.

Event Timeline

Kghbln added a subscriber: Kghbln.Jun 13 2019, 7:48 AM

@StevenCrossin Please always also note the versions of PHP, MySQL, MW and UserMerge you are using. Otherwise is is pretty hard to spot the issue and why it occurs.

Ah, sorry about that, I mentioned this task to Sam, didn’t actually know where to find that info (or hadn’t actually logged a bug before!)

No worries. The info is on Special:Version.

Thanks @StevenCrossin — I'll look into this soon I hope.

We're using:

MediaWiki 1.30.0 (5191b5a)
PHP 5.6.33-0+deb8u1 (apache2handler)
MariaDB 10.1.38-MariaDB-0+deb9u1
UserMerge 1.10.1 (4546537)

@Kghbln I'll report back more info about the error.

Log entry is:

[Thu Jun 13 07:34:54.517823 2019] [:error] [...] PHP Notice: Undefined offset: 1 in /var/www/mediawiki/extensions/UserMerge/MergeUser.php on line 342, referer: https://wikimedia.org.au/wiki/Special:UserMerge

Kghbln added a comment.EditedJun 13 2019, 8:00 AM

@Samwilson Hmm, interesting that it does not work with your setup, have not checked the version of UserMerge though, however when using REL it works until MW 1.32 as this log shows. Have not tested with MW 1.33 yet.

I've been meaning to upgrade the wiki anyway. Will do that and see how it goes on 1.32.

StevenCrossin closed this task as Resolved.Jun 14 2019, 3:12 AM

Appears to now work post the wiki upgrade. Tested and functions as expected.

Cool, great to read!